package at.acdp.urweb.sclient;

import java.io.DataInputStream;
import java.io.IOException;

//49 byte
public class JointData {
    double qActual;
    double qTarget;
    double qdActual;
    float lActual;
    double vActual;
    float tMotor;
    double tMicro;
    byte jointMode;

    public void read(DataInputStream di) throws IOException {
        qActual=di.readDouble();
        qTarget=di.readDouble();
        qdActual=di.readDouble();
        lActual=di.readFloat();
        vActual=di.readDouble();
        tMotor=di.readFloat();
        tMicro=di.readDouble();
        jointMode=di.readByte();
    }
}
